POST api/GroupPosts/GetGroupPosts
Request Information
URI Parameters
None.
Body Parameters
PostsByGroupIdDto| Name | Description | Type | Additional information |
|---|---|---|---|
| groupId | integer |
Required |
|
| accountId | integer |
Required |
|
| isHome | boolean |
None. |
|
| page | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"groupId": 1,
"accountId": 1,
"isHome": true,
"page": 1
}
text/plain, application/octet-stream
Sample:
{"groupId":1,"accountId":1,"isHome":true,"page":1}
application/xml, text/xml
Sample:
<PostsByGroupIdDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Modules.Groups.DTO"> <accountId>1</accountId> <groupId>1</groupId> <isHome>true</isHome> <page>1</page> </PostsByGroupIdDto>
multipart/form-data, application/form-data
Sample:
<PostsByGroupIdDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Modules.Groups.DTO"><accountId>1</accountId><groupId>1</groupId><isHome>true</isHome><page>1</page></PostsByGroupIdDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.